Package pyplusplus :: Package code_creators :: Module class_declaration :: Class class_wrapper_t

# type class_wrapper_t

source code

    declaration_based.declaration_based_t --+
                                            |
                           object --+       |
                                    |       |
          code_creator.code_creator_t --+   |
                                        |   |
                      compound.compound_t --+
                                            |
                              scoped.scoped_t --+
                                                |
                                               class_wrapper_t

Creates C++ code that creates wrapper arround some class

Instance Methods

__init__(self, declaration, class_creator) Constructor. | source code

Inherited from `declaration_based.declaration_based_t`: `get_user_headers` Inherited from `compound.compound_t`: `adopt_creator`, `adopt_creators`, `get_system_headers`, `remove_creator` Inherited from `code_creator.code_creator_t`: `beautify`, `create`

Static Methods
Inherited from `compound.compound_t`: `create_internal_code` Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| wrapper_alias
| base_wrappers
| exposed_identifier
| class_creator
| full_name
| held_type
| boost_wrapper_identifier
Inherited from `declaration_based.declaration_based_t`: `alias`, `decl_identifier`, `declaration`, `documentation` Inherited from `compound.compound_t`: `creators` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, declaration, class_creator)
(Constructor)

source code

Constructor.

Parameters:
  - `declaration` - Declaration object
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### wrapper_alias

Get Method:
  _get_wrapper_alias(self)
Set Method:
  _set_wrapper_alias(self, walias)

### base_wrappers

### exposed_identifier

### class_creator

### full_name

### held_type

### boost_wrapper_identifier